midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.Message.System.Common

Description

System Common messages

# Documentation

data T Source

Constructors

TimeCodeQuarterFrame TimeNibbleType Int |
SongPositionPointer Int |
SongSelect Int |
TuneRequest |

data TimeNibbleType Source

Constructors

FrameLS |
FrameMS |
SecondsLS |
SecondsMS |
MinutesLS |
MinutesMS |
HoursLS |
HoursMS | also includes SMPTE type

Instances

Enum TimeNibbleType |
Eq TimeNibbleType |
Ord TimeNibbleType |
Show TimeNibbleType |
Ix TimeNibbleType |

get :: C parser => Int -> Fallible parser T Source

put :: C writer => T -> writerSource